/*
.testimonial-scroll::-webkit-scrollbar {
  width: 20px;
  height: 20px;
}

.testimonial-scroll::-webkit-scrollbar-track {
  background-color: transparent;
}

.testimonial-scroll::-webkit-scrollbar-thumb {
  background-color: #d6dee1;
  border-radius: 20px;
  border: 6px solid transparent;
  background-clip: content-box;
}

.testimonial-scroll::-webkit-scrollbar-thumb:hover {
  background-color: #a8bbbf;
}
*/

.ace-red {
  position:absolute;
  background-color: #7A1224;
}
.ace-green {
  position: absolute;
  background-color: #505C3E;
}
.ace-blue {
  position: absolute;
  background-color: blue;
}

.glowdiv {
    margin-top: 0px;
    -webkit-box-shadow:0 0 20px #28a745; 
    -moz-box-shadow: 0 0 20px #28a745; 
    box-shadow:0 0 20px #28a745;
}

.intro-highlight {
    z-index: 1001;
    background: white;
    position: absolute;
}

.problem-cell {
    box-shadow: rgb(0 0 0 / 20%) 0px 1px 2px 0px;
    /*transform: translate3d(0px, 110px, 0px) scale(1);*/
    width: 340px;
    height: 50px;
    pointer-events: auto;
    transform-origin: 50% 50% 0px;
    border-radius: 4px;
    font-weight: 600;
    background-color: #fff;
    top: 0;
    will-change: transform;
    white-space: nowrap;
    align-items: center;
    padding: 0 0 0 15px;
    overflow:hidden;
}


.ex7 .parent {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    grid-auto-rows: 50px;
}


.rounded {
    border-radius: 1rem
}

.nav-pills .nav-link {
    color: #555
}

.nav-pills .nav-link.active {
    color: white
}

input[type="radio"] {
    margin-right: 5px
}

.bold {
    font-weight: bold
}

.wrapper {
  margin: 50px auto;
  width: 280px;
  height: 370px;
  background: white;
  border-radius: 10px;
  -webkit-box-shadow: 0px 0px 8px rgba(0,0,0,0.3);
  -moz-box-shadow:    0px 0px 8px rgba(0,0,0,0.3);
  box-shadow:         0px 0px 8px rgba(0,0,0,0.3);
  position: relative;
  z-index: 90;
}

.ribbon-wrapper-green {
  width: 85px;
  height: 88px;
  overflow: hidden;
  position: absolute;
  top: -3px;
  right: -3px;
}

.ribbon-green {
  font: bold 15px Sans-Serif;
  color: #333;
  text-align: center;
  text-shadow: rgba(255,255,255,0.5) 0px 1px 0px;
  -webkit-transform: rotate(45deg);
  -moz-transform:    rotate(45deg);
  -ms-transform:     rotate(45deg);
  -o-transform:      rotate(45deg);
  position: relative;
  padding: 7px 0;
  left: -5px;
  top: 15px;
  width: 120px;
  background-color: #BFDC7A;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#BFDC7A), to(#8EBF45)); 
  background-image: -webkit-linear-gradient(top, #BFDC7A, #8EBF45); 
  background-image:    -moz-linear-gradient(top, #BFDC7A, #8EBF45); 
  background-image:     -ms-linear-gradient(top, #BFDC7A, #8EBF45); 
  background-image:      -o-linear-gradient(top, #BFDC7A, #8EBF45); 
  color: #6a6340;
  -webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
  -moz-box-shadow:    0px 0px 3px rgba(0,0,0,0.3);
  box-shadow:         0px 0px 3px rgba(0,0,0,0.3);
}

.ribbon-green:before, .ribbon-green:after {
  content: "";
  border-top:   3px solid #6e8900;   
  border-left:  3px solid transparent;
  border-right: 3px solid transparent;
  position:absolute;
  bottom: -3px;
}

.ribbon-green:before {
  left: 0;
}
.ribbon-green:after {
  right: 0;
}

/*@import url(https://fonts.googleapis.com/css?family=Playfair+Display);
@import url(https://fonts.googleapis.com/css?family=Roboto);
@import url(https://fonts.googleapis.com/css?family=Draculon);
@import url(https://fonts.googleapis.com/css?family=Piedra);
@import url(https://fonts.googleapis.com/css?family=Lato);
*/
@import url(https://fonts.googleapis.com/css?family=Roboto);

.share-button {
  position: relative;
  display: inline-flex;
  align-items: center;
  padding: 3px 10px 2px 8px;
  margin: 10px;
  color: #fff;
  background-color: #333;
  border-radius: 2px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.35);
  text-decoration: none;
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
  font-weight: 600;
  font-size: 15px;
}

.share-button:hover {
  color: #fff;
  background-color: #4f4f4f;
}

.share-button:active {
  top: 1px;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.25);
}

.share-button svg {
  fill: #ffffff;
  width: 19px;
  height: 19px;
  margin-right: 5px;
}

.share-button.facebook { background-color: #4A66B7; }
.share-button.facebook:hover { background-color: #556fbb; }

.share-button.twitter { background-color: #1B95E0; }
.share-button.twitter:hover { background-color: #269ce5; }

.share-button.pinterest { background-color: #c92228; }
.share-button.pinterest:hover { background-color: #cf4146; }

.share-button.linkedin { background-color: #0077B5; }
.share-button.linkedin:hover { background-color: #1e84b9; }

.share-button.reddit { background-color: #5f99cf; }
.share-button.reddit:hover { background-color: #75a6d4; }

.share-button.tumblr { background-color: #35465c; }
.share-button.tumblr:hover { background-color: #455166; }

.share-button.hacker-news { background-color: #ff6600; }
.share-button.hacker-news:hover { background-color: #ff7515; }

.share-button.designer-news { background-color: #2d72d9; }
.share-button.designer-news:hover { background-color: #3d82e9; }

.share-button.google-plus {
  background-color: #fefefe;
  color: #333;
}

.share-button.google-plus:hover {
  background-color: #f6f6f6;
  color: #333;
}

.share-button.google-plus svg {
  fill: #DB4437;
}

@media (min-width: 990px) {
    .navbar-dark {
        height: 7vh;
    }
}

@media (max-width: 990px) {
    .navbar-dark {
        z-index: 100;
    }
}

#overlay-editor {
  position: absolute;
  display: none;
  width: 53%;
  height: 93%;
  top: 7%;
  left: 47%;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5);
  z-index: 2;
}

#overlay-text{
  /*top: 50%;
  left: 50%;
  */
  font-size: 14pt;
  color: white;
  /*transform: translate(-50%,-50%);
  -ms-transform: translate(-50%,-50%);
  */
}


.line-break {
    height: 10px;
}

.bold-text {
    font-weight: bold; 
}
.solution-hint {
    display: block;
    padding: 0.3rem 2.3rem;
}

.solution-title {
    padding: 0.3rem 1rem;
}

#left-tabs a {
    cursor: pointer;
}


.checkmark {
    display:inline-block;
    width: 22px;
    height:22px;
    -ms-transform: rotate(45deg); /* IE 9 */
    -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
    transform: rotate(45deg);
}

.checkmark_circle {
    position: absolute;
    width:22px;
    height:22px;
    background-color: green;
    border-radius:11px;
    left:0;
    top:0;
}

.checkmark_stem {
    position: absolute;
    width:3px;
    height:9px;
    background-color:#fff;
    left:11px;
    top:6px;
}

.checkmark_kick {
    position: absolute;
    width:3px;
    height:3px;
    background-color:#fff;
    left:8px;
    top:12px;
}

.hidden {
    display:none;
}

pre {
    background: #f7f9fa;
    padding: 10px 15px;
}

.dropdown-item {
    cursor: pointer;
}

#mySidenav a {
    cursor: pointer;
}

#mySidenav {
    z-index:99999;
}

#problem-statement {
    padding-left: 10px;
    padding-right: 10px;
}

body {
  font-family: "Lato", sans-serif;
}

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.0s;
  padding-top: 60px;
}

.sidenav a, .menu-purchase {
  padding: 8px 8px 8px 8px;
  text-decoration: none;
  font-size: 14px;
  color: #818181;
  display: block;
  transition: 0.0s;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

#main {
  transition: margin-left .5s;
  padding: 16px;
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

/*! ========================================================================
 * Bootstrap Toggle: bootstrap-toggle.css v2.2.0
 * http://www.bootstraptoggle.com
 * ========================================================================
 * Copyright 2014 Min Hur, The New York Times Company
 * Licensed under MIT
 * ======================================================================== */
.checkbox label .toggle,.checkbox-inline .toggle{margin-left:-20px;margin-right:5px}
.toggle{position:relative;overflow:hidden}
.toggle input[type=checkbox]{display:none}
.toggle-group{position:absolute;width:200%;top:0;bottom:0;left:0;transition:left .35s;-webkit-transition:left .35s;-moz-user-select:none;-webkit-user-select:none}
.toggle.off .toggle-group{left:-100%}
.toggle-on{position:absolute;top:0;bottom:0;left:0;right:50%;margin:0;border:0;border-radius:0}
.toggle-off{position:absolute;top:0;bottom:0;left:50%;right:0;margin:0;border:0;border-radius:0}
.toggle-handle{position:relative;margin:0 auto;padding-top:0;padding-bottom:0;height:100%;width:0;border-width:0 1px}
.toggle.btn{min-width:59px;min-height:34px}
.toggle-on.btn{padding-right:24px}
.toggle-off.btn{padding-left:24px}
.toggle.btn-lg{min-width:79px;min-height:45px}
.toggle-on.btn-lg{padding-right:31px}
.toggle-off.btn-lg{padding-left:31px}
.toggle-handle.btn-lg{width:40px}
.toggle.btn-sm{min-width:50px;min-height:30px}
.toggle-on.btn-sm{padding-right:20px}
.toggle-off.btn-sm{padding-left:20px}
.toggle.btn-xs{min-width:35px;min-height:22px}
.toggle-on.btn-xs{padding-right:12px}
.toggle-off.btn-xs{padding-left:12px}
.toggle.ios, .toggle-on.ios, .toggle-off.ios { border-radius: 20px; }
.toggle.ios .toggle-handle { border-radius: 20px; }
